CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2011-2913

Off-by-one error in the CSoundFile::ReadAMS function in src/load_ams.cpp in libmodplug before 0.8.8.4 allows remote attackers to cause a denial of service (stack memory corruption) and possibly execute arbitrary code via a crafted AMS file with a large number of samples.
Publish Date : 2012-06-07 Last Update Date : 2017-08-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.8
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceExecute CodeMemory corruption
CWE ID 189

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important
6.8
AV:N/AC:M/Au:N/C:P/I:P/A:P 2011-08-04 2011-07-15
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2011-2913 oval:org.opensuse.security:def:20112913 unix
DSA-2415-1 libmodplug -- several oval:org.mitre.oval:def:15146 unix
RHSA-2011:1264: gstreamer-plugins security update (Important) oval:com.redhat.rhsa:def:20111264 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2011-2913

# Product Type Vendor Product Version Update Edition Language
1 Application Konstanty Bialkowski Libmodplug 0.8 Version Details Vulnerabilities
2 Application Konstanty Bialkowski Libmodplug 0.8.4 Version Details Vulnerabilities
3 Application Konstanty Bialkowski Libmodplug 0.8.5 Version Details Vulnerabilities
4 Application Konstanty Bialkowski Libmodplug 0.8.6 Version Details Vulnerabilities
5 Application Konstanty Bialkowski Libmodplug 0.8.7 Version Details Vulnerabilities
6 Application Konstanty Bialkowski Libmodplug 0.8.8 Version Details Vulnerabilities
7 Application Konstanty Bialkowski Libmodplug 0.8.8.1 Version Details Vulnerabilities
8 Application Konstanty Bialkowski Libmodplug 0.8.8.2 Version Details Vulnerabilities
9 Application Konstanty Bialkowski Libmodplug 0.8.8.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Konstanty Bialkowski Libmodplug 9

- References For CVE-2011-2913

http://www.securityfocus.com/bid/48979
BID 48979 libmodplug Multiple Buffer Overflow and Off-By-One Vulnerabilities Release Date:2012-03-16
https://exchange.xforce.ibmcloud.com/vulnerabilities/68985
XF libmodplug-ams-code-execution(68985)
http://www.openwall.com/lists/oss-security/2011/08/12/4
MLIST [oss-security] 20120812 Re: CVE request: libmodplug: multiple vulnerabilities reported in <= 0.8.8.3
http://www.openwall.com/lists/oss-security/2011/08/10/4
MLIST [oss-security] 20120810 CVE request: libmodplug: multiple vulnerabilities reported in <= 0.8.8.3
http://www.gentoo.org/security/en/glsa/glsa-201203-16.xml
GENTOO GLSA-201203-16
http://ubuntu.com/usn/usn-1255-1
UBUNTU USN-1255-1
http://www.debian.org/security/2012/dsa-2415
DEBIAN DSA-2415
http://www.gentoo.org/security/en/glsa/glsa-201203-14.xml
GENTOO GLSA-201203-14
http://sourceforge.net/projects/modplug-xmms/files/libmodplug/0.8.8.4/ CONFIRM
http://rhn.redhat.com/errata/RHSA-2011-1264.html
REDHAT RHSA-2011:1264
http://modplug-xmms.git.sourceforge.net/git/gitweb.cgi?p=modplug-xmms/modplug-xmms;a=commitdiff;h=26243ab9fe1171f70053e9aec4b20e9f7de9e4ef CONFIRM
http://lists.fedoraproject.org/pipermail/package-announce/2011-August/063786.html
FEDORA FEDORA-2011-10503
http://lists.fedoraproject.org/pipermail/package-announce/2011-September/066044.html
FEDORA FEDORA-2011-12370
http://lists.opensuse.org/opensuse-security-announce/2011-08/msg00019.html
SUSE openSUSE-SU-2011:0943
http://jira.atheme.org/browse/AUDPLUG-394 CONFIRM

- Metasploit Modules Related To CVE-2011-2913

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.